summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDan Radez <dradez@redhat.com>2016-02-16 21:27:35 +0000
committerGerrit Code Review <gerrit@172.30.200.206>2016-02-16 21:27:35 +0000
commite510935cc62c8fc3b9e2d9cf5f76fb5e1b0a1895 (patch)
tree8a3d6d95cff7bdfc34c3404352c993ac57289adc
parent2f5750a7c2900f6c8c8f031c025fa4f1ebc25ddd (diff)
parente60d7dae958066f7003533fe03cdd2fc06a04685 (diff)
Merge "Prevent build crashes on empty cache"
-rwxr-xr-xbuild/instack.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/build/instack.sh b/build/instack.sh
index 91c0d355..3f7d681a 100755
--- a/build/instack.sh
+++ b/build/instack.sh
@@ -198,7 +198,7 @@ IMAGES+=" undercloud.qcow2"
for i in $IMAGES; do
# download prebuilt images from RDO Project
- if [ "$(curl -L $rdo_images_uri/${i}.md5 | awk {'print $1'})" != "$(md5sum stack/$i | awk {'print $1'})" ] ; then
+ if [ ! -f stack/$i ] || [ "$(curl -L $rdo_images_uri/${i}.md5 | awk {'print $1'})" != "$(md5sum stack/$i | awk {'print $1'})" ] ; then
#if [ $i == "undercloud.qcow2" ]; then
### there's a problem with the Content-Length reported by the centos artifacts
### server so using wget for it until a resolution is figured out.
@@ -260,7 +260,7 @@ LIBGUESTFS_BACKEND=direct virt-customize \
--run-command "cd /etc/puppet/modules/ && rm -rf aodh && tar xzf puppet-aodh.tar.gz" \
--run-command "yum remove -y openstack-neutron-openvswitch" \
--run-command "echo 'nf_conntrack_proto_sctp' > /etc/modules-load.d/nf_conntrack_proto_sctp.conf" \
- --install https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm \
+ --run-command "if ! rpm -q epel-release > /dev/null; then yum install -y http://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm; fi" \
--install "$AODH_PKG,ceph" \
-a overcloud-full-opendaylight.qcow2